/**
 * 修改财税情况
 * */
var taxCode; //	string 客户编号	
$(function() {
	var edit_id = helper.request.queryString("edit_id");
	if (edit_id) {
		getCustomer(edit_id);
	}
	$('#tab_user_contents').find("input[class='form-control']").on('blur keyup', valideInput);
});

//获取详情
function getCustomer(ids) {
	$.getJSON(huayi.config.callcenter_url + "CustomerNew/GetFinc", {
		cusid: ids, //客户id
		token: $.cookie("token")
	}, function(data) {
		if (data.state.toLowerCase() == "success") {
			data = data.data;
			$('#tax_code').val(data.F_CustomerCode); //	string 客户编号	
			taxCode = data.F_CustomerCode; //	string 客户编号	
			$('#tax_MonthState').find('input[type="radio"][value="'+ data.F_MonthState +'"]').prop('checked', true); //	string 本月财税情况:已结清/未结清
			$('#tax_AnnualIncome').val(data.F_AnnualIncome); //	string 本年收入（元）
			$('#tax_AnnualProfit').val(data.F_AnnualProfit); //	string 本年利润	
			$('#tax_AnnualCost').val(data.F_AnnualCost); //	string 本年费用
			$('#tax_AnnualPersonCount').val(data.F_AnnualPersonCount); //	string 本年人数	
			$('#tax_AnnualWages').val(data.F_AnnualWages); //	string 本年工资	
			$('#tax_QuarterlyCost').val(data.F_QuarterlyCost); //	string	本季费用
			$('#tax_QuarterlyPersonCount').val(data.F_QuarterlyPersonCount); //	string	本季人数	
			$('#tax_QuarterlyWages').val(data.F_QuarterlyWages); //	string	本季工资	
			$('#tax_QuarterlyIncome').val(data.F_QuarterlyIncome); //	string	本季收入
			$('#tax_QPVAT').val(data.F_QPVAT); //	string	本季应交税额-增值税	
			$('#tax_QPSurtax').val(data.F_QPSurtax); //	string	本季应交税额-附加税	
			$('#tax_QPTaxes').val(data.F_QPTaxes); //	string	本季应交税额-企业所得税
			$('#tax_QPConTax').val(data.F_QPConTax); //	string	本季应交税额-文化事业建设税	
			$('#tax_QPPerinTax').val(data.F_QPPerinTax); //	string	本季应交税额-个税	
			$('#tax_QPStampTax').val(data.F_QPStampTax); //	string	本季应交税额-其他税额
			$('#tax_AnnualIncome').trigger('blur');
		}
	});
}

//保存
function saveCustomer() {
	var loadIndex;
	var edit_id = helper.request.queryString("edit_id"); // 客户id
	var mid = helper.request.queryString("mid"); // 财税信息自增id
	$.ajax({
		type: 'post',
		url: huayi.config.callcenter_url + 'CustomerNew/SaveFinance',
		dataType: 'json',
		async: true,
		beforeSend: function() { //触发ajax请求开始时执行
			$('#save_btns').attr("disabled", true);
			$('#save_btns').text('保存中...');
			loadIndex = layer.load();
		},
		data: {
			F_CusFinId: mid, //主ID
			F_CustomerId: edit_id, //int 客户id，允许为0
			F_CustomerCode: taxCode, //	string 客户编号	
			F_MonthState: $('#tax_MonthState').find('input[type="radio"]:checked').val(), //	string 本月财税情况:已结清/未结清
			F_AnnualIncome: $('#tax_AnnualIncome').val(), //	string 本年收入（元）
			F_AnnualProfit: $('#tax_AnnualProfit').val(), //	string 本年利润	
			F_AnnualCost: $('#tax_AnnualCost').val(), //	string 本年费用
			F_AnnualPersonCount: $('#tax_AnnualPersonCount').val(), //	string 本年人数	
			F_AnnualWages: $('#tax_AnnualWages').val(), //	string 本年工资	
			F_QuarterlyCost: $('#tax_QuarterlyCost').val(), //	string	本季费用
			F_QuarterlyPersonCount: $('#tax_QuarterlyPersonCount').val(), //	string	本季人数	
			F_QuarterlyWages: $('#tax_QuarterlyWages').val(), //	string	本季工资	
			F_QuarterlyIncome: $('#tax_QuarterlyIncome').val(), //	string	本季收入
			F_QPVAT: $('#tax_QPVAT').val(), //	string	本季应交税额-增值税	
			F_QPSurtax: $('#tax_QPSurtax').val(), //	string	本季应交税额-附加税	
			F_QPTaxes: $('#tax_QPTaxes').val(), //	string	本季应交税额-企业所得税
			F_QPConTax: $('#tax_QPConTax').val(), //	string	本季应交税额-文化事业建设税	
			F_QPPerinTax: $('#tax_QPPerinTax').val(), //	string	本季应交税额-个税	
			F_QPStampTax: $('#tax_QPStampTax').val(), //	string	本季应交税额-其他税额
			token: $.cookie("token")
		},
		success: function(data) {
			layer.close(loadIndex);
			if (data.state === "success") {
				var index = parent.layer.getFrameIndex(window.name);
				parent.layer.close(index);
				parent.getTaxDetail(edit_id); //获取财税情况
				parent.layer.msg("保存成功");
			} else {
				$('#save_btns').attr("disabled", false);
				$('#save_btns').text('保存');
			}
		},
		error: function(textStatus) {
			layer.close(loadIndex);
			layer.confirm('网络繁忙，请稍后再试...', {
				icon: 7,
				closeBtn: 0,
				btn: ['确定'] //按钮
			});
			$('#save_btns').attr("disabled", false);
			$('#save_btns').text('保存');
		},
		complete: function(XMLHttpRequest, textStatus) {
			layer.close(loadIndex);
			if (textStatus == 'timeout') {
				var xmlhttp = window.XMLHttpRequest ? new window.XMLHttpRequest() : new ActiveXObject("Microsoft.XMLHttp");
				xmlhttp.abort();
				layer.confirm('网络超时，请稍后再试...', {
					icon: 7,
					closeBtn: 0,
					btn: ['确定'] //按钮
				});
			}
			$('#save_btns').attr("disabled", false);
			$('#save_btns').text('保存');
		},
	});
}


//验证(所有 input.form-control)的方法
function valideInput() {
	var _that = $(this);
	//console.log($(this).attr('id'));
	switch($(this).attr('id')) {
		case 'tax_AnnualIncome': //本年收入
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
		case 'tax_AnnualProfit': //本年利润
			valideMethods(_that, regexs.profitMoney, '格式不正确（只能输入中文、英文、正负数）！', true);
			break;
		case 'tax_AnnualCost': //本年费用
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
		case 'tax_AnnualPersonCount': //本年人数
			valideMethods(_that, regexs.chOrenOrnum, '格式不正确（只能输入中文、英文、数字）！', true);
			break;
		case 'tax_AnnualWages': //本年工资
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
		case 'tax_QuarterlyCost': //本季费用
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
		case 'tax_QuarterlyPersonCount': //本季人数
			valideMethods(_that, regexs.chOrenOrnum, '格式不正确（只能输入中文、英文、数字）！', true);
			break;
		case 'tax_QuarterlyWages': //本季工资
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
		case 'tax_QuarterlyIncome': //本季收入
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
		case 'tax_QPSurtax': //本季应交税额-增值税
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
		case 'tax_QPSurtax': //本季应交税额-附加税
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
		case 'tax_QPTaxes': //本季应交税额-企业所得税
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
		case 'tax_QPConTax': //本季应交税额-文化事业建设税
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
		case 'tax_QPPerinTax': //本季应交税额-个税
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
		case 'tax_QPStampTax': //本季应交税额-其他税额
			valideMethods(_that, regexs.amountMoney, '格式不正确（只能输入中文、英文、正数）！', true);
			break;
	}
	
	if ($('#tab_user_contents').find('.has-error').length > 0) {
		$('.project_save').attr('disabled', true);
		$('#save_btns').off('click', saveCustomer);
	} else {
		$('.project_save').attr('disabled', false);
		$('#save_btns').off('click', saveCustomer);
		$('#save_btns').on('click', saveCustomer);
	}
}
/**
 * 验证方法
 * _this :传递的this
 * regRlues: 验证的规则
 * msg: 提示信息
 * isRes:boolean 是否允许验证的内容为空，true:允许为空，false:不允许为空
 * */
function valideMethods(_this, regRlues, msg, isRes) {
	var txtTpips = _this.parent().parent().find('.text-tips');
	if (txtTpips) {
		txtTpips.parent().remove();
	}
	if (!isRes) {
		//不为空
		if (!regRlues.test($.trim(_this.val()))) {
			_this.parent().parent().removeClass('has-success has-feedback').addClass('has-error has-feedback');
			_this.parent().find('.glyphicon').remove();
			$('<span class="glyphicon glyphicon-remove form-control-feedback" aria-hidden="true"></span>').appendTo(_this.parent());
			$('<div class="col-md-10 col-md-offset-2"><span class="text-tips">' + msg + '</span></div>').appendTo(_this.parent()
				.parent());
			$('.project_save').attr('disabled', true);
		} else {
			_this.parent().parent().removeClass('has-error has-feedback').addClass('has-success has-feedback');
			_this.parent().find('.glyphicon').remove();
			$('<span class="glyphicon glyphicon-ok form-control-feedback" aria-hidden="true"></span>').appendTo(_this.parent());
		}
	} else {
		//为空不验证；但是有内容就验证；
		if ($.trim(_this.val())) {
			if (!regRlues.test($.trim(_this.val()))) {
				_this.parent().parent().removeClass('has-success has-feedback').addClass('has-error has-feedback');
				_this.parent().find('.glyphicon').remove();
				$('<span class="glyphicon glyphicon-remove form-control-feedback" aria-hidden="true"></span>').appendTo(_this.parent());
				$('<div class="col-md-10 col-md-offset-2"><span class="text-tips">' + msg + '</span></div>').appendTo(_this.parent()
					.parent());
				$('.project_save').attr('disabled', true);
			} else {
				_this.parent().parent().removeClass('has-error has-feedback').addClass('has-success has-feedback');
				_this.parent().find('.glyphicon').remove();
				$('<span class="glyphicon glyphicon-ok form-control-feedback" aria-hidden="true"></span>').appendTo(_this.parent());
			}
		} else {
			_this.parent().find('.glyphicon').remove();
			_this.parent().parent().removeClass('has-error has-success has-feedback');
		}
	}
}
